com.jscape.filetransfer

## Class FileTransferException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.filetransfer.FileTransferException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    FileTransferAuthenticationException, FileTransferDeniedException

      public class FileTransferException
      extends java.lang.Exception

  FileTransferException is thrown by many methods of FileTransfer classes. The methods are masking various exception types into FileTransferException, but the event message will be propagated.

  In case that the cause for throwing FileTransferException is not exception but invalid client operation or server response, FileTransferException message will contain textual part of server response.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferException()` Creates a new exception instance.
    `FileTransferException(java.lang.String message)` Creates exception with specified message string.
    `FileTransferException(java.lang.String message, java.lang.Throwable exception)` Creates exception with specified message string and source exception.
    `FileTransferException(java.lang.Throwable cause)` Constructor .

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileTransferException` | `wrap(java.lang.Throwable e)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTransferException

          public FileTransferException()

      Creates a new exception instance.

    - #### FileTransferException

          public FileTransferException(java.lang.String message)

      Creates exception with specified message string.
      Parameters:
        `message` - the message of exception

    - #### FileTransferException

          public FileTransferException(java.lang.String message,
                                       java.lang.Throwable exception)

      Creates exception with specified message string and source exception.
      Parameters:
        `message` - the message of exception
        `exception` - the exception which caused this exception

    - #### FileTransferException

          public FileTransferException(java.lang.Throwable cause)

      Constructor .
      Parameters:
        `cause` - - Exception

  - ### Method Detail

    - #### wrap

          public static FileTransferException wrap(java.lang.Throwable e)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved